# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface Class Reference

`#include <PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface ()
| PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface (const Handle(PGeom_BSplineSurface)&aValue)
void | SetValue (const Handle(PGeom_BSplineSurface)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PGeom_BSplineSurface | myValue

## Constructor & Destructor Documentation

PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface | ( |  | ) |

PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface | ( | const Handle(PGeom_BSplineSurface)& | aValue | ) |

## Member Function Documentation

void PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::SetValue | ( | const Handle(PGeom_BSplineSurface)& | aValue | ) |

Standard_Address PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_BSplineSurface PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayTNodeOfFieldOfHArray2OfBSplineSurface.hxx